# Asterisk Project : Asterisk 12 Function_LOCK

Added by wikibot , edited by wikibot on Aug 29, 2013

# LOCK()

### Synopsis

Attempt to obtain a named mutex.

### Description

Attempts to grab a named lock exclusively, and prevents other channels from obtaining the same lock. LOCK will wait for the lock to become available. Returns `1` if the lock was obtained or `0` on error.

Note

To avoid the possibility of a deadlock, LOCK will only attempt to obtain the lock for 3 seconds if the channel already has another lock.

### Syntax

    LOCK(lockname)

##### Arguments

- `lockname`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown